$! set verify
$! show symbol www_*
$ say = "write sys$output"
$!
$ CookiePath = WWW_SCRIPT_NAME
$!
$ if WWW_PATH_INFO .eqs. "/reset"
$ then
$!   (reset the cookie by providing expiry date in the past)
$    say "Content-Type: text/html"
$    say "Set-Cookie: DEMO= PATH=''CookiePath'; " + -
         "EXPIRES=""Thu, 01-Jan-1970 00:00:01"""
$    say "Expires: Thu, 01-Jan-1970 00:00:01"
$    say ""
$    say "<HTML>"
$    say "<HEAD>"
$    say "<TITLE>Cookie Reset Demonstration</TITLE>"
$    say "</HEAD>"
$    say "<BODY>"
$    say "Done!"
$    say "</BODY>"
$    say "</HTML>"
$    exit
$ endif
$!
$ if f$type(WWW_HTTP_COOKIE) .NES. ""
$ then
$!   (process a cookie sent from the client)
$    Cookie = f$element(1,"=",WWW_HTTP_COOKIE)
$    CookieCount = f$integer(f$element(0,"_",Cookie))
$    CookieTime = f$element(1,"_",Cookie) + " " + f$element(2,"_",Cookie)
$ else
$    CookieCount = 0
$    CookieTime = ""
$ endif
$!
$!(create cookie to send back to client)
$ CookieCount = CookieCount + 1
$ DateTime = f$time()
$ if f$extract(0,1,DateTime) .eqs. " " -
     then DateTime = "0" + f$extract(1,99,DateTime)
$ Date = f$element(0," ",DateTime)
$ Time = f$extrcat(0,8,f$element(1," ",DateTime))
$ Cookie = "DEMO=''CookieCount'_''Date'_''Time'; PATH=''CookiePath'"
$!
$!(HTTP response including cookie and HTML page)
$ say "Content-Type: text/html"
$ say "Set-Cookie: ''Cookie'"
$ say "Expires: Thu, 01-Jan-1970 00:00:01"
$ say ""
$ say "<HTML>"
$ say "<HEAD>"
$ say "<TITLE>Cookie Demonstration</TITLE>"
$ say "</HEAD>"
$ say "<BODY>"
$ say "<H1>Cookie Demonstration</H1>"
$ if f$type(WWW_HTTP_COOKIE) .EQS. ""
$ then
$    say "This is the first time you have used this demonstration."
$    say "<P>Use it again straight away!"
$ else
$    say "You have used this demonstration <U>''CookieCount' times</U>;" + -
         "&nbsp; Last at&nbsp; <U>''CookieTime'</U>"
$    say "<P>The cookie returned was: <PRE>  ''WWW_HTTP_COOKIE'</PRE>"
$    say "<P>The cookie set this time was: <PRE>  ''COOKIE'</PRE>"
$    say "<P>The demonstration was produced using " + -
         "<A HREF=""/ht_root/script/cookie_demo.com"">" + -
         "this very simple DCL CGI script</A>!"
$    say "<P><A HREF=""''WWW_SCRIPT_NAME'/reset"">Reset the cookie</A>."
$ endif
$ say "</BODY>"
$ say "</HTML>"
