$! BRUTE-FORCE build procedure for all WASD VMS Hypertext applications
$! P1 == "UCX" or P1 == "NETLIB" depending on requirements
$! P2 == "LINK" to only re-link all applications
$!'F$VERIFY(0)
$!
$ IF P1 .NES. "UCX" .AND. P1 .NES. "NETLIB"
$ THEN
$    WRITE SYS$OUTPUT "Usage: @BUILD_ALL UCX|NETLIB [LINK]"
$    EXIT
$ ENDIF
$!
$ SET NOON
$ SET CONTROL=Y
$ BELL[0,8] = 7
$ CRLF[0,16] = %x0a0d
$!
$!(build the HTTPD server first, some scripts link to its MAPURL.OBJ)
$ SET DEFAULT [.HTTPD]
$ WRITE SYS$OUTPUT "''CRLF'--- HTTPD ---''CRLF'"
$ @BUILD_HTTPD 'P1' 'P2'
$!'F$VERIFY(0)
$ SET DEFAULT [-]
$!
$ WRITE SYS$OUTPUT "''CRLF'--- CGIPLUS ---''CRLF'"
$ SET DEFAULT [.CGIPLUS]
$ @BUILD_CGIPLUSDEMO 'P2'
$!'F$VERIFY(0)
$ @BUILD_CGIPLUSLOOP 'P2'
$!'F$VERIFY(0)
$ @BUILD_CGIPLUSSKEL 'P2'
$!'F$VERIFY(0)
$ @BUILD_CGIPLUSTEST 'P2'
$!'F$VERIFY(0)
$ SET DEFAULT [-]
$!
$ WRITE SYS$OUTPUT "''CRLF'--- CONAN ---''CRLF'"
$ SET DEFAULT [.CONAN]
$ @BUILD_CONAN 'P2'
$!'F$VERIFY(0)
$ SET DEFAULT [-]
$!
$ WRITE SYS$OUTPUT "''CRLF'--- DBIV ---''CRLF'"
$ SET DEFAULT [.DBIV]
$ @BUILD_DBIV 'P2'
$!'F$VERIFY(0)
$ SET DEFAULT [-]
$!
$ WRITE SYS$OUTPUT "''CRLF'--- DEMAIL ---''CRLF'"
$ SET DEFAULT [.DEMAIL]
$ @BUILD_DEMAIL 'P2'
$!'F$VERIFY(0)
$ SET DEFAULT [-]
$!
$ WRITE SYS$OUTPUT "''CRLF'--- CGIPLUS ---''CRLF'"
$ SET DEFAULT [.CGIPLUS]
$ @BUILD_CGIPLUS 'P2'
$!'F$VERIFY(0)
$ SET DEFAULT [-]
$!
$ WRITE SYS$OUTPUT "''CRLF'--- EXTRACT ---''CRLF'"
$ SET DEFAULT [.EXTRACT]
$ @BUILD_EXTRACT 'P2'
$!'F$VERIFY(0)
$ SET DEFAULT [-]
$!
$ WRITE SYS$OUTPUT "''CRLF'--- GIFT ---''CRLF'"
$ SET DEFAULT [.GIFT]
$ @BUILD_GIFT 'P2'
$!'F$VERIFY(0)
$ SET DEFAULT [-]
$!
$ WRITE SYS$OUTPUT "''CRLF'--- HPRINTS ---''CRLF'"
$ SET DEFAULT [.HPRINTS]
$ @BUILD_HPRINTS 'P2'
$!'F$VERIFY(0)
$ SET DEFAULT [-]
$!
$ WRITE SYS$OUTPUT "''CRLF'--- HTTPD302 ---''CRLF'"
$ SET DEFAULT [.HTTPD302]
$ @BUILD_HTTPD302 'P2'
$!'F$VERIFY(0)
$ SET DEFAULT [-]
$!
$ WRITE SYS$OUTPUT "''CRLF'--- HWP ---''CRLF'"
$ SET DEFAULT [.HWP]
$ @BUILD_HWP 'P2'
$!'F$VERIFY(0)
$ SET DEFAULT [-]
$!
$ WRITE SYS$OUTPUT "''CRLF'--- HYPERREADER ---''CRLF'"
$ SET DEFAULT [.HYPERREADER]
$ @BUILD_HYPERREADER 'P2'
$!'F$VERIFY(0)
$ SET DEFAULT [-]
$!
$ WRITE SYS$OUTPUT "''CRLF'--- HYPERSHELF ---''CRLF'"
$ SET DEFAULT [.HYPERSHELF]
$ @BUILD_HYPERSHELF 'P2'
$!'F$VERIFY(0)
$ SET DEFAULT [-]
$!
$ WRITE SYS$OUTPUT "''CRLF'--- HYPERSPI ---''CRLF'"
$ SET DEFAULT [.HYPERSPI]
$ @BUILD_HYPERSPI 'P2'
$!'F$VERIFY(0)
$ @BUILD_HYPERSPI$AGENT 'P2'
$!'F$VERIFY(0)
$ SET DEFAULT [-]
$!
$!(ismap.c script is only of historical interest now that it's integrated)
$!!$ WRITE SYS$OUTPUT "''CRLF'--- ISMAP ---''CRLF'"
$!!$ SET DEFAULT [.ISMAP]
$!!$ @BUILD_ISMAP 'P2'
$!!$!'F$VERIFY(0)
$!!$ SET DEFAULT [-]
$!
$ WRITE SYS$OUTPUT "''CRLF'--- MISCELLANEOUS ---''CRLF'"
$ SET DEFAULT [.MISC]
$ @BUILD_CALENDAR 'P2'
$!'F$VERIFY(0)
$ @BUILD_CHARSET 'P2'
$!'F$VERIFY(0)
$ @BUILD_CHKACC 'P2'
$!'F$VERIFY(0)
$ @BUILD_ECHO 'P2'
$!'F$VERIFY(0)
$ @BUILD_GLIST 'P2'
$!'F$VERIFY(0)
$ @BUILD_HDISK 'P2'
$!'F$VERIFY(0)
$ @BUILD_SNEW 'P2'
$!'F$VERIFY(0)
$ SET DEFAULT [-]
$!
$ WRITE SYS$OUTPUT "''CRLF'--- MXMAILINGLIST ---''CRLF'"
$ SET DEFAULT [.MXMAILINGLIST]
$ @BUILD_MXMAILINGLIST 'P2'
$!'F$VERIFY(0)
$ SET DEFAULT [-]
$!
$ WRITE SYS$OUTPUT "''CRLF'--- POST ---''CRLF'"
$ SET DEFAULT [.POST]
$ @BUILD_AUTHENTICATE 'P2'
$ @BUILD_DEFORM 'P2'
$!'F$VERIFY(0)
$ SET DEFAULT [-]
$!
$ WRITE SYS$OUTPUT "''CRLF'--- POSTMAIL ---''CRLF'"
$ SET DEFAULT [.POSTMAIL]
$ @BUILD_POSTMAIL 'P2'
$!'F$VERIFY(0)
$ SET DEFAULT [-]
$!
$ WRITE SYS$OUTPUT "''CRLF'--- QUERY ---''CRLF'"
$ SET DEFAULT [.QUERY]
$ @BUILD_QUERY 'P2'
$!'F$VERIFY(0)
$ SET DEFAULT [-]
$!
$ WRITE SYS$OUTPUT "''CRLF'--- SPINNERET ---''CRLF'"
$ SET DEFAULT [.SPINNERET]
$ @BUILD_SPINNERET 'P2'
$!'F$VERIFY(0)
$ SET DEFAULT [-]
$!
$ WRITE SYS$OUTPUT "''CRLF'--- UTILITIES ---''CRLF'"
$ SET DEFAULT [.UTILS]
$ @BUILD_HTTPDMON 'P2'
$!'F$VERIFY(0)
$ @BUILD_STREAMLF 'P2'
$!'F$VERIFY(0)
$ @BUILD_WWWRKOUT 'P1' 'P2'
$!'F$VERIFY(0)
$ SET DEFAULT [-]
$!
$ WRITE SYS$OUTPUT "''BELL'''BELL'''BELL'''BELL'''BELL'''BELL'"
$ WRITE SYS$OUTPUT "-------------------------------------------------------"
$ WRITE SYS$OUTPUT "Finished!"
$ WRITE SYS$OUTPUT "(might be a good idea to purge HT_EXE: when confident!)"
$ WRITE SYS$OUTPUT "-------------------------------------------------------"
